#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <dbus/dbus.h>
#include <dbus/dbus-glib.h>

MediaPlayerRec *mpris_player_new(const gchar *service_name);

gboolean mpris_service_is_running_by_name(const char *service_name);
gboolean mpris_service_is_running(gpointer player_rec);

void mpris_module_init();
void mpris_module_exit();
void mpris_start_app(gpointer player_rec);
void mpris_set_signals(gpointer player_rec, gboolean connect);
void mpris_get_info(gpointer player_rec);
void mpris_get_app_name(MediaPlayerRec *player);




