#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <dbus/dbus.h>
#include <dbus/dbus-glib.h>

void rhythmbox_track_signal_cb(DBusGProxy *player_proxy, gpointer data, MediaPlayerRec *player);
void rhythmbox_status_signal_cb(DBusGProxy *player_proxy, gpointer data, MediaPlayerRec *player);
void rhythmbox_property_signal_cb(DBusGProxy *player_proxy, gchar *v1, gchar *v2, gpointer v3, gpointer v4, MediaPlayerRec *player);

void rhythmbox_get_app_name(MediaPlayerRec *player);

void rhythmbox_set_signals(gpointer player_rec, gboolean connect);
void rhythmbox_get_info(gpointer player_rec);
void rhythmbox_start_app(gpointer player_rec);

